## evolution-data-server 3.46.4

=== CMakeLists.txt ===
# Evolution-Data-Server build script

cmake_minimum_required(VERSION 3.1)
cmake_policy(VERSION 3.1)

project(evolution-data-server
	VERSION 3.46.4
	LANGUAGES C CXX)
set(CMAKE_CXX_STANDARD 14)
set(PROJECT_BUGREPORT "https://gitlab.gnome.org/GNOME/evolution-data-server/issues/")

# Base Version: This is for API/version tracking for things like
# D-Bus server files. This should always be the major/minor of
# the stable version or stable version to be.
set(BASE_VERSION 3.46)

# This number is meaningless, but we're now stuck with it in our
# library names for backward compatibility.
set(API_VERSION 1.2)

# API version of the calendar part
set(CAL_API_VERSION 2.0)

# Required for FindIntltool module
set(GETTEXT_PACKAGE ${PROJECT_NAME})
set(GETTEXT_PO_DIR ${CMAKE_SOURCE_DIR}/po)

# Required for 'disttest' and 'distcheck' of DistTarget module
set(PROJECT_DISTCONFIGURE_PARAMS
	-DENABLE_GOA=ON
	-DENABLE_EXAMPLES=ON
	-DENABLE_INTROSPECTION=ON
	-DENABLE_VALA_BINDINGS=ON
	-DENABLE_INSTALLED_TESTS=ON
	-DENABLE_GTK_DOC=ON
	-DWITH_PRIVATE_DOCS=ON
)

# ******************************
# D-Bus versioning
# ******************************
# Actual name can be modified with DBUS_SERVICES_PREFIX option
set(ADDRESS_BOOK_DBUS_SERVICE_NAME	"org.gnome.evolution.dataserver.AddressBook10")
set(CALENDAR_DBUS_SERVICE_NAME		"org.gnome.evolution.dataserver.Calendar8")
set(SOURCES_DBUS_SERVICE_NAME		"org.gnome.evolution.dataserver.Sources5")
set(USER_PROMPTER_DBUS_SERVICE_NAME	"org.gnome.evolution.dataserver.UserPrompter0")

# ******************************
# Library versioning
# ******************************
set(LIBCAMEL_CURRENT 64)
set(LIBCAMEL_REVISION 0)
set(LIBCAMEL_AGE 0)

set(LIBEBACKEND_CURRENT 11)
set(LIBEBACKEND_REVISION 0)
set(LIBEBACKEND_AGE 0)

set(LIBEDATASERVER_CURRENT 27)
set(LIBEDATASERVER_REVISION 0)
set(LIBEDATASERVER_AGE 0)

set(LIBEDATASERVERUI_CURRENT 4)
set(LIBEDATASERVERUI_REVISION 0)
set(LIBEDATASERVERUI_AGE 0)

set(LIBEDATASERVERUI4_API_VERSION 1.0)
set(LIBEDATASERVERUI4_CURRENT 0)
set(LIBEDATASERVERUI4_REVISION 0)
set(LIBEDATASERVERUI4_AGE 0)

set(LIBEBOOK_CURRENT 21)
set(LIBEBOOK_REVISION 1)
set(LIBEBOOK_AGE 3)

set(LIBEBOOK_CONTACTS_CURRENT 4)
set(LIBEBOOK_CONTACTS_REVISION 0)
set(LIBEBOOK_CONTACTS_AGE 0)

set(LIBEDATABOOK_CURRENT 27)
set(LIBEDATABOOK_REVISION 0)
set(LIBEDATABOOK_AGE 0)

set(LIBECAL_CURRENT 2)
set(LIBECAL_REVISION 0)
set(LIBECAL_AGE 0)

set(LIBEDATACAL_CURRENT 2)
set(LIBEDATACAL_REVISION 0)
set(LIBEDATACAL_AGE 0)

# Keep these two definitions in agreement.
set(glib_minimum_version 2.68)
set(glib_encoded_version GLIB_VERSION_2_68)

# Keep these two definitions in agreement.
set(gdk_minimum_version 3.20)
set(gdk_encoded_version GDK_VERSION_3_20)

# Keep these two definitions in agreement.
set(gdk4_minimum_version 4.4)
set(gdk4_encoded_version GDK_VERSION_4_4)

# Keep these two definitions in agreement.
set(soup_minimum_version 3.1.1)
set(soup_encoded_version SOUP_VERSION_3_2)

# Warn about API usage that violates our minimum requirements.
add_definitions(-DGLIB_VERSION_MAX_ALLOWED=${glib_encoded_version})
add_definitions(-DSOUP_VERSION_MAX_ALLOWED=${soup_encoded_version})

# These will suppress warnings about newly-deprecated symbols. Ideally
# these settings should match our minimum requirements and we will clean
# up any new deprecation warnings after bumping our minimum requirements.
# But if the warnings get to be overwhelming, use fixed versions instead.
add_definitions(-DGLIB_VERSION_MIN_REQUIRED=${glib_encoded_version})
add_definitions(-DSOUP_VERSION_MIN_REQUIRED=${soup_encoded_version})

set(libical_glib_minimum_version 3.0.7)
set(libsecret_minimum_version 0.5)
set(libxml_minimum_version 2.0.0)
set(sqlite_minimum_version 3.7.17)

# Optional Packages
set(goa_minimum_version 3.8)
set(gweather_minimum_version 3.91)
set(libaccounts_glib_minimum_version 1.4)
set(libsignon_glib_minimum_version 1.8)
set(json_glib_minimum_version 1.0.4)
set(webkit2gtk_minimum_version 2.34.0)
set(webkit2gtk4_minimum_version 2.36.0)
set(libcanberra_gtk_minimum_version 0.25)

# Load modules from the source tree
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

set(CMAKE_POSITION_INDEPENDENT_CODE ON)
# Packagers might want to need different settings for the RPATH related things
# From experience, especially CMAKE_BUILD_WITH_INSTALL_RPATH might need to be
# switched to ON, if CMake fails to set the right values during make install
set(CMAKE_SKIP_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_SKIP_BUILD_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_BUILD_WITH_INSTALL_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH ON CACHE BOOL INTERNAL)
# CMAKE_INSTALL_RPATH is set below

# CMake modules
include(CheckCCompilerFlag)
include(CheckCSourceCompiles)
include(CheckCSourceRuns)
include(CheckFunctionExists)
include(CheckIncludeFile)
include(CheckLibraryExists)
include(CheckTypeSize)

# Project custom modules
include(PrintableOptions)

add_printable_variable(LIB_SUFFIX "Library directory suffix, usually defined to '64' for x86_64 systems" "")
add_printable_variable_bare(CMAKE_INSTALL_PREFIX)
add_printable_variable_path(BIN_INSTALL_DIR "Install directory for binary files, defaults to CMAKE_INSTALL_PREFIX/bin" "")
add_printable_variable_path(INCLUDE_INSTALL_DIR "Install directory for header files, defaults to CMAKE_INSTALL_PREFIX/include" "")
add_printable_variable_path(LIB_INSTALL_DIR "Install directory for library files, defaults to CMAKE_INSTALL_PREFIX/lib{LIB_SUFFIX}" "")
add_printable_variable_path(LIBEXEC_INSTALL_DIR "Install directory for library executable files, defaults to CMAKE_INSTALL_PREFIX/libexec" "")
add_printable_variable_path(SHARE_INSTALL_PREFIX "Install directory for shared files, defaults to CMAKE_INSTALL_PREFIX/share" "")
add_printable_variable_path(LOCALE_INSTALL_DIR "Install directory for locale files, defaults to SHARE_INSTALL_PREFIX/locale" "")
add_printable_variable_path(SYSCONF_INSTALL_DIR "Install directory for system configuration files, defaults to CMAKE_INSTALL_PREFIX/etc" "")

macro(ensure_default_value _var _defvalue)
	if(${_var} STREQUAL "")
		set(${_var} ${_defvalue})
	endif(${_var} STREQUAL "")
endmacro(ensure_default_value)

ensure_default_value(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
ensure_default_value(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include")
ensure_default_value(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
ensure_default_value(LIBEXEC_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/libexec")
ensure_default_value(SHARE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share")
ensure_default_value(LOCALE_INSTALL_DIR "${SHARE_INSTALL_PREFIX}/locale")
ensure_default_value(SYSCONF_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/etc")

add_printable_variable(DBUS_SERVICES_PREFIX "Prefix for D-Bus services, usually left empty, without trailing dot" "")

if(NOT ("${DBUS_SERVICES_PREFIX}" STREQUAL ""))
	set(ADDRESS_BOOK_DBUS_SERVICE_NAME	"${DBUS_SERVICES_PREFIX}.${ADDRESS_BOOK_DBUS_SERVICE_NAME}")
	set(CALENDAR_DBUS_SERVICE_NAME		"${DBUS_SERVICES_PREFIX}.${CALENDAR_DBUS_SERVICE_NAME}")
	set(SOURCES_DBUS_SERVICE_NAME		"${DBUS_SERVICES_PREFIX}.${SOURCES_DBUS_SERVICE_NAME}")
	set(USER_PROMPTER_DBUS_SERVICE_NAME	"${DBUS_SERVICES_PREFIX}.${USER_PROMPTER_DBUS_SERVICE_NAME}")
else(NOT ("${DBUS_SERVICES_PREFIX}" STREQUAL ""))
	unset(DBUS_SERVICES_PREFIX)
endif(NOT ("${DBUS_SERVICES_PREFIX}" STREQUAL ""))

# ******************************
# Special directories
# ******************************

# If you add something here, consider whether or not you also
# need to add it to one or more .pc.in files (for Connector, etc)

set(privdatadir "${SHARE_INSTALL_PREFIX}/${PROJECT_NAME}")
set(privincludedir "${INCLUDE_INSTALL_DIR}/${PROJECT_NAME}")
set(privlibdir "${LIB_INSTALL_DIR}/${PROJECT_NAME}")
set(privlibexecdir "${LIBEXEC_INSTALL_DIR}/${PROJECT_NAME}")
set(icondir "${privdatadir}/icons")

SET(CMAKE_INSTALL_RPATH "${privlibdir}")

if(WIN32)
	# On Win32 there is no "rpath" mechanism. We install the private
	# shared libraries in $libdir, meaning the DLLs will actually be in
	# $bindir. This means just having $bindir in PATH will be enough.
	set(privsolibdir "${LIB_INSTALL_DIR}")
else(WIN32)
	set(privsolibdir "${privlibdir}")
endif(WIN32)

set(imagesdir "${SHARE_INSTALL_PREFIX}/pixmaps/${PROJECT_NAME}")
set(moduledir "${privlibdir}/registry-modules")
set(credentialmoduledir "${privlibdir}/credential-modules")
set(uimoduledir "${privlibdir}/ui-modules")
set(ebook_backenddir "${privlibdir}/addressbook-backends")
set(ecal_backenddir "${privlibdir}/calendar-backends")
set(ro_sourcesdir "${privdatadir}/ro-sources")
set(rw_sourcesdir "${privdatadir}/rw-sources")
set(camel_providerdir "${privlibdir}/camel-providers")

# *******************
# D-BUS service stuff
# *******************
set(servicelibexecdir "${LIBEXEC_INSTALL_DIR}")
if(WIN32 AND (NOT ("$ENV{WIN32_SERVICELIBEXECDIR}" STREQUAL "")))
	#
	# D-Bus requires Windows full path, not Unix-like, like the one provided by MSYS
	#
	AC_SUBST(WIN32_SERVICELIBEXECDIR)
	set(servicelibexecdir "$ENV{WIN32_SERVICELIBEXECDIR}")
endif(WIN32 AND (NOT ("$ENV{WIN32_SERVICELIBEXECDIR}" STREQUAL "")))

add_printable_variable_path(WITH_DBUS_SERVICE_DIR "Set directory for D-Bus service files" "${SHARE_INSTALL_PREFIX}/dbus-1/services")

# It is correct for this to be in ${CMAKE_INSTALL_PREFIX}/lib, even on systems where that
# does not match ${LIB_INSTALL_DIR}. This is what systemd uses on such platforms.

add_printable_variable_path(WITH_SYSTEMDUSERUNITDIR "Set directory for systemd user units, or 'no' to disable" "${CMAKE_INSTALL_PREFIX}/lib/systemd/user")

string(LENGTH "${CMAKE_BINARY_DIR}" bindirlen)
string(LENGTH "${WITH_SYSTEMDUSERUNITDIR}" maxlen)
if(maxlen LESS bindirlen)
	set(substr "***")
else(maxlen LESS bindirlen)
	string(SUBSTRING "${WITH_SYSTEMDUSERUNITDIR}" 0 ${bindirlen} substr)
endif(maxlen LESS bindirlen)
string(TOUPPER "${WITH_SYSTEMDUSERUNITDIR}" optupper)

if(("${optupper}" STREQUAL "ON") OR ("${substr}" STREQUAL "${CMAKE_BINARY_DIR}"))
	set(WITH_SYSTEMD_USER_UNITS ON)
	set(WITH_SYSTEMDUSERUNITDIR "${CMAKE_INSTALL_PREFIX}/lib/systemd/user")
elseif(NOT WITH_SYSTEMDUSERUNITDIR)
	set(WITH_SYSTEMD_USER_UNITS OFF)
else()
	set(WITH_SYSTEMD_USER_UNITS ON)
endif()

unset(bindirlen)
unset(maxlen)
unset(substr)
unset(optupper)

# ******************************
# Dependencies
# ******************************

include(CodeCoverageGCOV)
include(CheckTarget)
include(DistTargets)
include(GLibTools)
include(GObjectIntrospection)
include(GtkDoc)
include(InstalledTests)
include(PkgConfigEx)
include(SetupBuildFlags)
include(UninstallTarget)
include(IconCache)

include(FindGettext)
include(I18n)
include(FindKRB5)
include(FindLDAP)
include(FindPhonenumber)
include(FindSMIME)

add_printable_option(ENABLE_MAINTAINER_MODE "Enable maintainer mode" OFF)
add_printable_option(WITH_PRIVATE_DOCS "Build documentation for private libraries (requires -DENABLE-GTK-DOC=ON" OFF)

if(ENABLE_MAINTAINER_MODE)
	set(BUILD_TESTING ON)
endif(ENABLE_MAINTAINER_MODE)

# Setup compiler/linker flags
setup_build_flags(${ENABLE_MAINTAINER_MODE})

CHECK_INCLUDE_FILE(com_err.h HAVE_COM_ERR_H)
CHECK_INCLUDE_FILE(et/com_err.h HAVE_ET_COM_ERR_H)
CHECK_INCLUDE_FILE(sys/wait.h HAVE_SYS_WAIT_H)
CHECK_INCLUDE_FILE(wspiapi.h HAVE_WSPIAPI_H)
CHECK_INCLUDE_FILE(zlib.h HAVE_ZLIB_H)
CHECK_FUNCTION_EXISTS(fsync HAVE_FSYNC)
CHECK_FUNCTION_EXISTS(strptime HAVE_STRPTIME)
CHECK_FUNCTION_EXISTS(nl_langinfo HAVE_NL_LANGINFO)

# ******************************
# required executables
# ******************************

find_program(GPERF gperf)
if(NOT GPERF)
	message(FATAL_ERROR "You need gperf to build ${PROJECT_NAME}")
endif(NOT GPERF)

# ******************************
# db_load checking, it's optional
# ******************************

find_program(DB_LOAD NAMES db_load db4_load db_load-4 db5_load db_load-5)
if(DB_LOAD)
	set(HAVE_DB_LOAD ON)
else(DB_LOAD)
	set(HAVE_DB_LOAD OFF)
	message(WARNING "db_load not found, some unit tests will not be run")

=== tests/CMakeLists.txt ===
macro(build_only_installable_test _test_ident _sourcesvar _depsvar _defsvar _cflagsvar _incdirsvar _ldflagsvar)
	set(DEPENDENCIES
		edataserver
		etestserverutils
	)

	# Not using EXCLUDE_FROM_ALL here, to have these built always
	add_executable(${_test_ident} ${${_sourcesvar}})

	add_dependencies(${_test_ident}
		${DEPENDENCIES}
		${${_depsvar}}
	)

	target_compile_definitions(${_test_ident} PRIVATE
		-DG_LOG_DOMAIN=\"${_test_ident}\"
		-DSRCDIR=\"${CMAKE_CURRENT_SOURCE_DIR}\"
		-DINSTALLED_TEST_DIR=\"${INSTALLED_TESTS_EXEC_DIR}\"
		${${_defsvar}}
	)

	target_compile_options(${_test_ident} PUBLIC
		${BACKEND_CFLAGS}
		${DATA_SERVER_CFLAGS}
		${${_cflagsvar}}
	)

	target_include_directories(${_test_ident} PUBLIC
		${CMAKE_BINARY_DIR}
		${CMAKE_BINARY_DIR}/src
		${CMAKE_BINARY_DIR}/tests/test-server-utils
		${CMAKE_SOURCE_DIR}/src
		${CMAKE_SOURCE_DIR}/tests/test-server-utils
		${BACKEND_INCLUDE_DIRS}
		${DATA_SERVER_INCLUDE_DIRS}
		${${_incdirsvar}}
	)

	target_link_libraries(${_test_ident}
		${DEPENDENCIES}
		${${_depsvar}}
		${BACKEND_LDFLAGS}
		${DATA_SERVER_LDFLAGS}
		${${_ldflagsvar}}
	)
endmacro(build_only_installable_test)

macro(add_installable_test _test_ident _sourcesvar _depsvar _defsvar _cflagsvar _incdirsvar _ldflagsvar _ittype _itenviron)
	build_only_installable_test(${_test_ident} ${_sourcesvar} ${_depsvar} ${_defsvar} ${_cflagsvar} ${_incdirsvar} ${_ldflagsvar})

	add_check_test(${_test_ident} --build-dir "${CMAKE_BINARY_DIR}" ${ARGN})
	install_test_if_enabled(${_test_ident} ${_ittype} ${_itenviron})
endmacro(add_installable_test)

add_subdirectory(book-migration)
add_subdirectory(libebook)
add_subdirectory(libebook-contacts)
add_subdirectory(libecal)
add_subdirectory(libedata-book)
add_subdirectory(libedata-cal)
add_subdirectory(libedataserver)
add_subdirectory(test-server-utils)

=== src/libebackend/CMakeLists.txt ===
glib_mkenums(e-backend-enumtypes e-backend-enums.h E_BACKEND_ENUMTYPES_H)

add_pkgconfig_file(libebackend.pc.in libebackend-${API_VERSION}.pc)

set(DEPENDENCIES
	edataserver
	edbus-private
)

set(SOURCES
	e-backend.c
	e-backend-factory.c
	e-cache.c
	e-cache-reaper.c
	e-cache-reaper-utils.c
	e-cache-reaper-utils.h
	e-collection-backend.c
	e-collection-backend-factory.c
	e-data-factory.c
	e-dbus-server.c
	e-file-cache.c
	e-oauth2-support.c
	e-offline-listener.c
	e-server-side-source.c
	e-server-side-source-credentials-provider.c
	e-source-registry-server.c
	e-sqlite3-vfs.c
	e-subprocess-factory.c
	e-user-prompter.c
	e-user-prompter-server.c
	e-user-prompter-server-extension.c
	e-webdav-collection-backend.c
	${CMAKE_CURRENT_BINARY_DIR}/e-backend-enumtypes.c
)

set(HEADERS
	libebackend.h
	e-backend.h
	e-backend-autocleanups.h
	e-backend-enums.h
	e-backend-factory.h
	e-cache.h
	e-cache-reaper.h
	e-collection-backend.h
	e-collection-backend-factory.h
	e-data-factory.h
	e-dbus-server.h
	e-file-cache.h
	e-oauth2-support.h
	e-offline-listener.h
	e-server-side-source.h
	e-server-side-source-credentials-provider.h
	e-source-registry-server.h
	e-sqlite3-vfs.h
	e-subprocess-factory.h
	e-user-prompter.h
	e-user-prompter-server.h
	e-user-prompter-server-extension.h
	e-webdav-collection-backend.h
	${CMAKE_CURRENT_BINARY_DIR}/e-backend-enumtypes.h
)

if(HAVE_LIBDB)
	list(APPEND SOURCES
		e-dbhash.c
		e-db3-utils.c
	)
	list(APPEND HEADERS
		e-dbhash.h
		e-db3-utils.h
	)
endif(HAVE_LIBDB)

add_library(ebackend SHARED
	${SOURCES}
	${HEADERS}
)

add_dependencies(ebackend
	${DEPENDENCIES}
)

set_target_properties(ebackend PROPERTIES
	VERSION "${LIBEBACKEND_CURRENT}.${LIBEBACKEND_REVISION}.${LIBEBACKEND_AGE}"
	SOVERSION ${LIBEBACKEND_CURRENT}
	OUTPUT_NAME ebackend-${API_VERSION}
)

target_compile_definitions(ebackend PRIVATE
	-DG_LOG_DOMAIN=\"e-backend\"
	-DE_DATA_SERVER_PREFIX=\"${CMAKE_INSTALL_PREFIX}\"
	-DMODULE_DIRECTORY=\"${moduledir}\"
	-DE_DATA_SERVER_PRIVDATADIR=\"${privdatadir}\"
	-DSYSTEM_WIDE_RO_SOURCES_DIRECTORY=\"${ro_sourcesdir}\"
	-DSYSTEM_WIDE_RW_SOURCES_DIRECTORY=\"${rw_sourcesdir}\"
	-DLIBEBACKEND_COMPILATION
)

target_compile_options(ebackend PUBLIC
	${BACKEND_CFLAGS}
	${LIBDB_CFLAGS}
	${CAMEL_CFLAGS}
	${SQLITE3_CFLAGS}
	${GIO_UNIX_CFLAGS}
)

target_include_directories(ebackend PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_BINARY_DIR}/src/private
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_SOURCE_DIR}/src/private
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}
	${BACKEND_INCLUDE_DIRS}
	${LIBDB_INCLUDE_DIRS}
	${CAMEL_INCLUDE_DIRS}
	${SQLITE3_INCLUDE_DIRS}
	${GIO_UNIX_INCLUDE_DIRS}
)

target_link_libraries(ebackend
	${DEPENDENCIES}
	${BACKEND_LDFLAGS}
	${LIBDB_LDFLAGS}
	${LIBDB_LIBS}
	${CAMEL_LDFLAGS}
	${SQLITE3_LDFLAGS}
	${GIO_UNIX_LDFLAGS}
)

install(TARGETS ebackend
	DESTINATION ${LIB_INSTALL_DIR}
)

install(FILES ${HEADERS}
	DESTINATION ${privincludedir}/libebackend
)

set(gir_sources ${SOURCES} ${HEADERS})
set(gir_identifies_prefixes E)
set(gir_includes GObject-2.0 Gio-2.0 Soup-3.0 libxml2-2.0)
set(gir_cflags
	-DLIBEBACKEND_COMPILATION
	-DEDS_DISABLE_DEPRECATED=1
)
set(gir_libdirs
	${CMAKE_BINARY_DIR}/src/private
	${CMAKE_BINARY_DIR}/src/camel
	${CMAKE_BINARY_DIR}/src/libedataserver
)
set(gir_libs
	camel
	edataserver
	ebackend
)
set(gir_deps
	${CMAKE_BINARY_DIR}/src/camel/Camel-${API_VERSION}.gir
	${CMAKE_BINARY_DIR}/src/libedataserver/EDataServer-${API_VERSION}.gir
)

gir_filter_out_sources(gir_sources e-cache-reaper-utils.)
gir_filter_out_sources(gir_sources e-dbhash.)
gir_filter_out_sources(gir_sources e-db3-utils.)

gir_add_introspection_simple(
	EBackend
	libebackend
	${API_VERSION}
	"libebackend/libebackend.h"
	gir_identifies_prefixes
	gir_includes
	gir_cflags
	gir_libdirs
	gir_libs
	gir_deps
	gir_sources
	SCANNER_EXTRA_ARGS
	"--add-init-section=extern void e_cache_reaper_type_register (GTypeModule *type_module)$<SEMICOLON>e_cache_reaper_type_register (NULL)$<SEMICOLON>"
)

=== src/libedataserver/CMakeLists.txt ===
glib_mkenums(e-source-enumtypes e-source-enums.h E_SOURCE_ENUMTYPES_H)

add_pkgconfig_file(libedataserver.pc.in libedataserver-${API_VERSION}.pc)

configure_file(
	${CMAKE_CURRENT_SOURCE_DIR}/eds-version.h.in
	${CMAKE_CURRENT_BINARY_DIR}/eds-version.h
	@ONLY
)

# We put the C++ code into a separate static library, so that we can use
# the C linker for libebook-contacts.

add_library(edataserver-private STATIC
	e-alphabet-index-private.cpp
	e-transliterator-private.cpp
)

target_compile_definitions(edataserver-private PRIVATE
	-DG_LOG_DOMAIN=\"e-data-server\"
	-DLIBEDATASERVER_COMPILATION
)

target_compile_options(edataserver-private PUBLIC
	${DATA_SERVER_CFLAGS}
	${ICU_CFLAGS}
)

target_include_directories(edataserver-private PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_CURRENT_BINARY_DIR}
	${DATA_SERVER_INCLUDE_DIRS}
	${ICU_INCLUDE_DIRS}
)

target_link_libraries(edataserver-private
	${DATA_SERVER_LDFLAGS}
	${ICU_LDFLAGS}
)

set(DEPENDENCIES
	camel
	edataserver-private
	edbus-private
)

set(SOURCES
	e-alphabet-index-private.h
	e-cancellable-locks.c
	e-categories.c
	e-client.c
	e-client-private.h
	e-collator.c
	e-credentials.c
	e-extensible.c
	e-extension.c
	e-flag.c
	e-free-form-exp.c
	e-gdata-query.c
	e-gdata-session.c
	e-iterator.c
	e-json-utils.c
	e-list.c
	e-list-iterator.c
	e-memory.c
	e-module.c
	e-named-parameters.c
	e-network-monitor.c
	e-oauth2-service.c
	e-oauth2-service-base.c
	e-oauth2-service-google.c
	e-oauth2-service-outlook.c
	e-oauth2-service-yahoo.c
	e-oauth2-services.c
	e-operation-pool.c
	e-secret-store.c
	e-sexp.c
	e-soup-auth-bearer.c
	e-soup-session.c
	e-soup-ssl-trust.c
	e-source.c
	e-source-extension.c
	e-source-address-book.c
	e-source-alarms.c
	e-source-authentication.c
	e-source-autocomplete.c
	e-source-autoconfig.c
	e-source-backend.c
	e-source-calendar.c
	e-source-camel.c
	e-source-collection.c
	e-source-contacts.c
	e-source-credentials-provider.c
	e-source-credentials-provider-impl.c
	e-source-credentials-provider-impl-oauth2.c
	e-source-credentials-provider-impl-password.c
	e-source-goa.c
	e-source-ldap.c
	e-source-local.c
	e-source-mail-account.c
	e-source-mail-composition.c
	e-source-mail-identity.c
	e-source-mail-signature.c
	e-source-mail-submission.c
	e-source-mail-transport.c
	e-source-mdn.c
	e-source-memo-list.c
	e-source-offline.c
	e-source-openpgp.c
	e-source-proxy.c
	e-source-refresh.c
	e-source-registry.c
	e-source-registry-watcher.c
	e-source-resource.c
	e-source-revision-guards.c
	e-source-security.c
	e-source-selectable.c
	e-source-smime.c
	e-source-task-list.c
	e-source-uoa.c
	e-source-weather.c
	e-source-webdav.c
	e-source-webdav-notes.c
	e-debug-log.c
	e-time-utils.c
	e-transliterator-private.h
	e-uid.c
	e-url.c
	e-webdav-discover.c
	e-webdav-session.c
	e-data-server-util.c
	e-xml-document.c
	e-xml-hash-utils.c
	e-xml-utils.c
	libedataserver-private.h
	eds-version.c
	${CMAKE_CURRENT_BINARY_DIR}/e-source-enumtypes.c
)

set(HEADERS
	libedataserver.h
	e-cancellable-locks.h
	e-categories.h
	e-client.h
	e-collator.h
	e-credentials.h
	e-dataserver-autocleanups.h
	e-extensible.h
	e-extension.h
	e-flag.h
	e-free-form-exp.h
	e-gdata-query.h
	e-gdata-session.h
	e-iterator.h
	e-json-utils.h
	e-list.h
	e-list-iterator.h
	e-memory.h
	e-module.h
	e-named-parameters.h
	e-network-monitor.h
	e-oauth2-service.h
	e-oauth2-service-base.h
	e-oauth2-service-google.h
	e-oauth2-service-outlook.h
	e-oauth2-service-yahoo.h
	e-oauth2-services.h
	e-operation-pool.h
	e-secret-store.h
	e-sexp.h
	e-soup-auth-bearer.h
	e-soup-session.h
	e-soup-ssl-trust.h
	e-source.h
	e-source-address-book.h
	e-source-alarms.h
	e-source-authentication.h
	e-source-autocomplete.h
	e-source-autoconfig.h
	e-source-backend.h
	e-source-calendar.h
	e-source-camel.h
	e-source-collection.h
	e-source-contacts.h
	e-source-credentials-provider.h
	e-source-credentials-provider-impl.h
	e-source-credentials-provider-impl-oauth2.h
	e-source-credentials-provider-impl-password.h
	e-source-enums.h
	e-source-extension.h
	e-source-goa.h
	e-source-ldap.h
	e-source-local.h
	e-source-mail-account.h
	e-source-mail-composition.h
	e-source-mail-identity.h
	e-source-mail-signature.h
	e-source-mail-submission.h
	e-source-mail-transport.h
	e-source-mdn.h
	e-source-memo-list.h
	e-source-offline.h
	e-source-openpgp.h
	e-source-proxy.h
	e-source-refresh.h
	e-source-registry.h
	e-source-registry-watcher.h
	e-source-resource.h
	e-source-revision-guards.h
	e-source-security.h
	e-source-selectable.h
	e-source-smime.h
	e-source-task-list.h
	e-source-uoa.h
	e-source-weather.h
	e-source-webdav.h
	e-source-webdav-notes.h
	e-debug-log.h
	e-time-utils.h
	e-uid.h
	e-url.h
	e-webdav-discover.h
	e-webdav-session.h
	e-data-server-util.h
	e-xml-document.h
	e-xml-hash-utils.h
	e-xml-utils.h
	${CMAKE_CURRENT_BINARY_DIR}/e-source-enumtypes.h
	${CMAKE_CURRENT_BINARY_DIR}/eds-version.h
)

add_library(edataserver SHARED
	${SOURCES}
	${HEADERS}
)

add_dependencies(edataserver
	${DEPENDENCIES}
)

set_target_properties(edataserver PROPERTIES
	VERSION "${LIBEDATASERVER_CURRENT}.${LIBEDATASERVER_REVISION}.${LIBEDATASERVER_AGE}"
	SOVERSION ${LIBEDATASERVER_CURRENT}
	OUTPUT_NAME edataserver-${API_VERSION}
)

target_compile_definitions(edataserver PRIVATE
	-DG_LOG_DOMAIN=\"e-data-server\"
	-DE_DATA_SERVER_PREFIX=\"${CMAKE_INSTALL_PREFIX}\"
	-DE_DATA_SERVER_LOCALEDIR=\"${LOCALE_INSTALL_DIR}\"
	-DE_DATA_SERVER_IMAGESDIR=\"${imagesdir}\"
	-DE_DATA_SERVER_CREDENTIALMODULEDIR=\"${credentialmoduledir}\"
	-DE_DATA_SERVER_UIMODULEDIR=\"${uimoduledir}\"
	-DE_DATA_SERVER_PRIVDATADIR=\"${privdatadir}\"
	-DLIBEDATASERVER_COMPILATION
)

target_compile_options(edataserver PUBLIC
	${DATA_SERVER_CFLAGS}
	${GIO_UNIX_CFLAGS}
	${ICU_CFLAGS}
	${JSON_GLIB_CFLAGS}
)

target_include_directories(edataserver PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_BINARY_DIR}/src/private
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_SOURCE_DIR}/src/private
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}
	${DATA_SERVER_INCLUDE_DIRS}
	${GIO_UNIX_INCLUDE_DIRS}
	${ICU_INCLUDE_DIRS}
	${JSON_GLIB_INCLUDE_DIRS}
)

target_link_libraries(edataserver
	${DEPENDENCIES}
	${DATA_SERVER_LDFLAGS}
	${GIO_UNIX_LDFLAGS}
	${ICU_LDFLAGS}
	${JSON_GLIB_LDFLAGS}
)

install(TARGETS edataserver
	DESTINATION ${LIB_INSTALL_DIR}
)

install(FILES ${HEADERS}
	DESTINATION ${privincludedir}/libedataserver
)

set(gir_sources ${SOURCES} ${HEADERS})
set(gir_identifies_prefixes E)
set(gir_includes GObject-2.0 Gio-2.0 Soup-3.0 libxml2-2.0)
set(gir_cflags
	-DLIBEDATASERVER_COMPILATION
)
set(gir_libdirs
	${CMAKE_BINARY_DIR}/src/private
	${CMAKE_BINARY_DIR}/src/camel
)
set(gir_libs
	camel
	edataserver
)
set(gir_deps
	${CMAKE_BINARY_DIR}/src/camel/Camel-${API_VERSION}.gir
)

gir_filter_out_sources(gir_sources e-sexp.h)
gir_filter_out_sources(gir_sources -private.h)

gir_add_introspection_simple(
	EDataServer
	libedataserver
	${API_VERSION}
	"libedataserver/libedataserver.h"
	gir_identifies_prefixes
	gir_includes
	gir_cflags
	gir_libdirs
	gir_libs
	gir_deps
	gir_sources
)

if(ENABLE_MAINTAINER_MODE)
	add_executable(oauth2-value-helper
		e-oauth2-service.c
	)

	add_dependencies(oauth2-value-helper
		${DEPENDENCIES}
	)

	target_compile_definitions(oauth2-value-helper PRIVATE
		-DG_LOG_DOMAIN=\"oauth2-value-helper\"
		-DBUILDING_VALUE_HELPER=1
	)

	target_compile_options(oauth2-value-helper PUBLIC
		${DATA_SERVER_CFLAGS}
	)

	target_include_directories(oauth2-value-helper PUBLIC
		${CMAKE_BINARY_DIR}
		${DATA_SERVER_INCLUDE_DIRS}
	)

	target_link_libraries(oauth2-value-helper
		${DATA_SERVER_LDFLAGS}
	)
endif(ENABLE_MAINTAINER_MODE)

=== src/addressbook/libebook-contacts/CMakeLists.txt ===
glib_mkenums(e-book-contacts-enumtypes e-book-contacts-enums.h E_BOOK_CONTACTS_ENUMTYPES_H)

add_pkgconfig_file(libebook-contacts.pc.in libebook-contacts-${API_VERSION}.pc)

add_executable(gen-western-table
	gen-western-table.c
)

target_compile_definitions(gen-western-table PRIVATE
	-DG_LOG_DOMAIN=\"gen-western-table\"
)

target_compile_options(gen-western-table PUBLIC
	${GNOME_PLATFORM_CFLAGS}
)

target_include_directories(gen-western-table PUBLIC
	${CMAKE_BINARY_DIR}
	${GNOME_PLATFORM_INCLUDE_DIRS}
)

target_link_libraries(gen-western-table
	${GNOME_PLATFORM_LDFLAGS}
)

add_custom_command(
	OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/e-name-western-tables.h
	COMMAND ${CMAKE_CURRENT_BINARY_DIR}/gen-western-table "${CMAKE_CURRENT_SOURCE_DIR}/e-name-western-tables.h.in" >${CMAKE_CURRENT_BINARY_DIR}/e-name-western-tables.h
	DEPENDS gen-western-table e-name-western-tables.h.in
)

set(DEPENDENCIES
	camel
	edataserver
)

set(SOURCES
	e-address-western.c
	e-book-contacts-utils.c
	e-book-query.c
	e-contact.c
	e-name-western.c
	e-phone-number.c
	e-phone-number-private.h
	e-source-backend-summary-setup.c
	e-vcard.c
	${CMAKE_CURRENT_BINARY_DIR}/e-book-contacts-enumtypes.c
	${CMAKE_CURRENT_BINARY_DIR}/e-name-western-tables.h
)

set(HEADERS
	libebook-contacts.h
	e-address-western.h
	e-book-contacts-enums.h
	e-book-contacts-utils.h
	e-book-query.h
	e-contact.h
	e-name-western.h
	e-phone-number.h
	e-source-backend-summary-setup.h
	e-vcard.h
	${CMAKE_CURRENT_BINARY_DIR}/e-book-contacts-enumtypes.h
)

if(ENABLE_PHONENUMBER)
	# We put the C++ code into a separate static library, so that we can use
	# the C linker for libebook-contacts. This avoids that libebook-contacts
	# depends on the C++ Standard Library, even if phone number support is
	# disabled.

	add_library(ephonenumber-private STATIC
		e-phone-number-private.cpp
	)

	target_compile_definitions(ephonenumber-private PRIVATE
		-DG_LOG_DOMAIN=\"e-phone-number\"
		-DLIBEBOOK_CONTACTS_COMPILATION
		${PHONENUMBER_DEFINITIONS}
	)

	target_compile_options(ephonenumber-private PUBLIC
		${ADDRESSBOOK_CFLAGS}
	)

	target_include_directories(ephonenumber-private PUBLIC
		${CMAKE_BINARY_DIR}
		${CMAKE_BINARY_DIR}/src
		${CMAKE_CURRENT_BINARY_DIR}
		${ADDRESSBOOK_INCLUDE_DIRS}
		${PHONENUMBER_INCLUDE_DIRS}
	)

	target_link_libraries(ephonenumber-private
		${ADDRESSBOOK_LDFLAGS}
		${PHONENUMBER_LDFLAGS}
	)

	list(APPEND DEPENDENCIES
		ephonenumber-private
	)
endif(ENABLE_PHONENUMBER)

add_library(ebook-contacts SHARED
	${SOURCES}
	${HEADERS}
)

add_dependencies(ebook-contacts
	${DEPENDENCIES}
)

set_target_properties(ebook-contacts PROPERTIES
	VERSION "${LIBEBOOK_CONTACTS_CURRENT}.${LIBEBOOK_CONTACTS_REVISION}.${LIBEBOOK_CONTACTS_AGE}"
	SOVERSION ${LIBEBOOK_CONTACTS_CURRENT}
	OUTPUT_NAME ebook-contacts-${API_VERSION}
)

target_compile_definitions(ebook-contacts PRIVATE
	-DG_LOG_DOMAIN=\"libebook-contacts\"
	-DLOCALEDIR=\"${LOCALE_INSTALL_DIR}\"
	-DLIBEBOOK_CONTACTS_COMPILATION
)

target_compile_options(ebook-contacts PUBLIC
	${ADDRESSBOOK_CFLAGS}
)

target_include_directories(ebook-contacts PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_BINARY_DIR}/src/addressbook
	${CMAKE_BINARY_DIR}/src/private
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_SOURCE_DIR}/src/private
	${CMAKE_SOURCE_DIR}/src/addressbook
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}
	${ADDRESSBOOK_INCLUDE_DIRS}
)

target_link_libraries(ebook-contacts
	${DEPENDENCIES}
	${ADDRESSBOOK_LDFLAGS}
)

install(TARGETS ebook-contacts
	DESTINATION ${LIB_INSTALL_DIR}
)

install(FILES ${HEADERS}
	DESTINATION ${privincludedir}/libebook-contacts
)

set(gir_sources ${SOURCES} ${HEADERS})
set(gir_identifies_prefixes E)
set(gir_includes GObject-2.0 GLib-2.0 Gio-2.0 libxml2-2.0)
set(gir_cflags
	-DLIBEBOOK_CONTACTS_COMPILATION
	-I${CMAKE_BINARY_DIR}/src/addressbook
	-I${CMAKE_BINARY_DIR}/src/addressbook/libebook-contacts
	-I${CMAKE_SOURCE_DIR}/src/addressbook
	-I${CMAKE_SOURCE_DIR}/src/addressbook/libebook-contacts
)
set(gir_libdirs
	${CMAKE_BINARY_DIR}/src/private
	${CMAKE_BINARY_DIR}/src/camel
	${CMAKE_BINARY_DIR}/src/libedataserver
	${PHONENUMBER_LIB_DIRS}
)
set(gir_libs
	ebook-contacts
	edataserver
)
set(gir_deps
	${CMAKE_BINARY_DIR}/src/camel/Camel-${API_VERSION}.gir
	${CMAKE_BINARY_DIR}/src/libedataserver/EDataServer-${API_VERSION}.gir
)

gir_add_introspection_simple(
	EBookContacts
	libebook-contacts
	${API_VERSION}
	"libebook-contacts/libebook-contacts.h"
	gir_identifies_prefixes
	gir_includes
	gir_cflags
	gir_libdirs
	gir_libs
	gir_deps
	gir_sources
)

=== src/calendar/libecal/CMakeLists.txt ===
glib_mkenums(e-cal-enumtypes e-cal-enums.h E_CAL_ENUMTYPES_H)

add_pkgconfig_file(libecal.pc.in libecal-${CAL_API_VERSION}.pc)

set(DEPENDENCIES
	camel
	edbus-private
	edataserver
)

set(SOURCES
	e-cal-client.c
	e-cal-client-view.c
	e-cal-component.c
	e-cal-component-alarm.c
	e-cal-component-alarm-instance.c
	e-cal-component-alarm-repeat.c
	e-cal-component-alarm-trigger.c
	e-cal-component-alarms.c
	e-cal-component-attendee.c
	e-cal-component-datetime.c
	e-cal-component-id.c
	e-cal-component-organizer.c
	e-cal-component-parameter-bag.c
	e-cal-component-period.c
	e-cal-component-property-bag.c
	e-cal-component-range.c
	e-cal-component-text.c
	e-cal-recur.c
	e-cal-time-util.c
	e-cal-check-timezones.c
	e-cal-system-timezone.c
	e-cal-util.c
	e-reminder-watcher.c
	e-timezone-cache.c
	${CMAKE_CURRENT_BINARY_DIR}/e-cal-enumtypes.c
)

set(HEADERS
	libecal.h
	e-cal-client.h
	e-cal-client-view.h
	e-cal-component.h
	e-cal-component-alarm.h
	e-cal-component-alarm-instance.h
	e-cal-component-alarm-repeat.h
	e-cal-component-alarm-trigger.h
	e-cal-component-alarms.h
	e-cal-component-attendee.h
	e-cal-component-datetime.h
	e-cal-component-id.h
	e-cal-component-parameter-bag.h
	e-cal-component-organizer.h
	e-cal-component-period.h
	e-cal-component-property-bag.h
	e-cal-component-range.h
	e-cal-component-text.h
	e-cal-enums.h
	e-cal-recur.h
	e-cal-time-util.h
	e-cal-check-timezones.h
	e-cal-system-timezone.h
	e-cal-util.h
	e-reminder-watcher.h
	e-timezone-cache.h
	${CMAKE_CURRENT_BINARY_DIR}/e-cal-enumtypes.h
)

add_library(ecal SHARED
	${SOURCES}
	${HEADERS}
)

add_dependencies(ecal
	${DEPENDENCIES}
)

set_target_properties(ecal PROPERTIES
	VERSION "${LIBECAL_CURRENT}.${LIBECAL_REVISION}.${LIBECAL_AGE}"
	SOVERSION ${LIBECAL_CURRENT}
	OUTPUT_NAME ecal-${CAL_API_VERSION}
)

target_compile_definitions(ecal PRIVATE
	-DG_LOG_DOMAIN=\"libecal\"
	-DLOCALEDIR=\"${LOCALE_INSTALL_DIR}\"
	-DLIBECAL_COMPILATION
)

target_compile_options(ecal PUBLIC
	${CALENDAR_CFLAGS}
)

target_include_directories(ecal PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_BINARY_DIR}/src/calendar
	${CMAKE_BINARY_DIR}/src/private
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_SOURCE_DIR}/src/calendar
	${CMAKE_SOURCE_DIR}/src/private
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}
	${CALENDAR_INCLUDE_DIRS}
)

target_link_libraries(ecal
	${DEPENDENCIES}
	${CALENDAR_LDFLAGS}
)

install(TARGETS ecal
	DESTINATION ${LIB_INSTALL_DIR}
)

install(FILES ${HEADERS}
	DESTINATION ${privincludedir}/libecal
)

set(gir_sources ${SOURCES} ${HEADERS})
set(gir_identifies_prefixes ECal E)
set(gir_includes GObject-2.0 Gio-2.0 Soup-3.0 libxml2-2.0 ICalGLib-3.0)
set(gir_cflags
	-DLIBECAL_COMPILATION
	-DEDS_DISABLE_DEPRECATED=1
	-I${CMAKE_BINARY_DIR}/src/calendar
	-I${CMAKE_SOURCE_DIR}/src/calendar
)
set(gir_libdirs
	${CMAKE_BINARY_DIR}/src/camel
	${CMAKE_BINARY_DIR}/src/libedataserver
)
set(gir_libs ecal)
set(gir_deps
	${CMAKE_BINARY_DIR}/src/camel/Camel-${API_VERSION}.gir
	${CMAKE_BINARY_DIR}/src/libedataserver/EDataServer-${API_VERSION}.gir
)

gir_add_introspection_simple(
	ECal
	libecal
	${CAL_API_VERSION}
	"libecal/libecal.h"
	gir_identifies_prefixes
	gir_includes
	gir_cflags
	gir_libdirs
	gir_libs
	gir_deps
	gir_sources
)

=== src/calendar/libedata-cal/CMakeLists.txt ===
add_pkgconfig_file(libedata-cal.pc.in libedata-cal-${CAL_API_VERSION}.pc)

set(DEPENDENCIES
	ebackend
	ecal
	edbus-private
	edataserver
)

set(SOURCES
	e-cal-backend.c
	e-cal-backend-factory.c
	e-cal-backend-intervaltree.c
	e-cal-backend-sexp.c
	e-cal-backend-sync.c
	e-cal-backend-util.c
	e-cal-cache.c
	e-cal-meta-backend.c
	e-data-cal.c
	e-data-cal-factory.c
	e-data-cal-view.c
	e-subprocess-cal-factory.c
)

set(HEADERS
	libedata-cal.h
	e-cal-backend.h
	e-cal-backend-factory.h
	e-cal-backend-intervaltree.h
	e-cal-backend-sync.h
	e-cal-backend-util.h
	e-cal-backend-sexp.h
	e-cal-cache.h
	e-cal-meta-backend.h
	e-data-cal.h
	e-data-cal-factory.h
	e-data-cal-view.h
	e-subprocess-cal-factory.h
)

add_library(edata-cal SHARED
	${SOURCES}
	${HEADERS}
)

add_dependencies(edata-cal
	${DEPENDENCIES}
)

set_target_properties(edata-cal PROPERTIES
	VERSION "${LIBEDATACAL_CURRENT}.${LIBEDATACAL_REVISION}.${LIBEDATACAL_AGE}"
	SOVERSION ${LIBEDATACAL_CURRENT}
	OUTPUT_NAME edata-cal-${CAL_API_VERSION}
)

target_compile_definitions(edata-cal PRIVATE
	-DG_LOG_DOMAIN=\"libedata-cal\"
	-DBACKENDDIR=\"${ecal_backenddir}\"
	-DSUBPROCESS_CAL_BACKEND_PATH=\"${LIBEXEC_INSTALL_DIR}/evolution-calendar-factory-subprocess\"
	-DLIBEDATA_CAL_COMPILATION
)

target_compile_options(edata-cal PUBLIC
	${CALENDAR_CFLAGS}
)

target_include_directories(edata-cal PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_BINARY_DIR}/src/calendar
	${CMAKE_BINARY_DIR}/src/private
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_SOURCE_DIR}/src/calendar
	${CMAKE_SOURCE_DIR}/src/private
	${CMAKE_CURRENT_BINARY_DIR}
	${CALENDAR_INCLUDE_DIRS}
)

target_link_libraries(edata-cal
	${DEPENDENCIES}
	${CALENDAR_LDFLAGS}
)

install(TARGETS edata-cal
	DESTINATION ${LIB_INSTALL_DIR}
)

install(FILES ${HEADERS}
	DESTINATION ${privincludedir}/libedata-cal
)

set(gir_sources ${SOURCES} ${HEADERS})
set(gir_identifies_prefixes E)
set(gir_includes GObject-2.0 Gio-2.0 Soup-3.0 libxml2-2.0 ICalGLib-3.0)
set(gir_cflags
	-DLIBEDATA_CAL_COMPILATION
	-DEDS_DISABLE_DEPRECATED=1
	-I${CMAKE_BINARY_DIR}/src/calendar
	-I${CMAKE_SOURCE_DIR}/src/calendar
)
set(gir_libdirs
	${CMAKE_BINARY_DIR}/src/camel
	${CMAKE_BINARY_DIR}/src/libebackend
	${CMAKE_BINARY_DIR}/src/libedataserver
	${CMAKE_BINARY_DIR}/src/calendar/libecal
	${CMAKE_BINARY_DIR}/src/calendar/libedata-cal
)
set(gir_libs
	ebackend
	ecal
	edata-cal
	edataserver
)
set(gir_deps
	${CMAKE_BINARY_DIR}/src/camel/Camel-${API_VERSION}.gir
	${CMAKE_BINARY_DIR}/src/libedataserver/EDataServer-${API_VERSION}.gir
	${CMAKE_BINARY_DIR}/src/libebackend/EBackend-${API_VERSION}.gir
	${CMAKE_BINARY_DIR}/src/calendar/libecal/ECal-${CAL_API_VERSION}.gir
)

gir_add_introspection_simple(
	EDataCal
	libedata-cal
	${CAL_API_VERSION}
	"libedata-cal/libedata-cal.h"
	gir_identifies_prefixes
	gir_includes
	gir_cflags
	gir_libdirs
	gir_libs
	gir_deps
	gir_sources
)

set(DEPENDENCIES
	ebackend
	edataserver
	edata-cal
	edbus-private
)

add_executable(evolution-calendar-factory-subprocess
	evolution-calendar-factory-subprocess.c
)

target_compile_definitions(evolution-calendar-factory-subprocess PRIVATE
	-DG_LOG_DOMAIN=\"evolution-calendar-factory-subprocess\"
	-DLOCALEDIR=\"${LOCALE_INSTALL_DIR}\"
)

target_compile_options(evolution-calendar-factory-subprocess PUBLIC
	${CALENDAR_CFLAGS}
	${GTK_CFLAGS}
)

target_include_directories(evolution-calendar-factory-subprocess PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_BINARY_DIR}/src/calendar
	${CMAKE_BINARY_DIR}/src/private
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_SOURCE_DIR}/src/calendar
	${CMAKE_SOURCE_DIR}/src/private
	${CMAKE_CURRENT_BINARY_DIR}
	${CALENDAR_INCLUDE_DIRS}
	${GTK_INCLUDE_DIRS}
)

target_link_libraries(evolution-calendar-factory-subprocess
	${DEPENDENCIES}
	${CALENDAR_LDFLAGS}
	${GTK_LDFLAGS}
)

install(TARGETS evolution-calendar-factory-subprocess
	DESTINATION ${LIBEXEC_INSTALL_DIR}
)

=== src/camel/tests/CMakeLists.txt ===
macro(add_camel_test_one _part _name _src_file _in_check)
	set(_test_ident cameltest-${_part}-${_name})

	# Not using EXCLUDE_FROM_ALL here, to have these built always
	add_executable(${_test_ident} ${_src_file})

	target_compile_definitions(${_test_ident} PRIVATE
		-DG_LOG_DOMAIN=\"${_test_ident}\"
		-DSOURCEDIR=\"${CMAKE_CURRENT_SOURCE_DIR}\"
		-DTEST_DATA_DIR=\"${CMAKE_SOURCE_DIR}/src/camel/tests/data\"
	)

	target_compile_options(${_test_ident} PUBLIC
		${CAMEL_CFLAGS}
	)

	target_include_directories(${_test_ident} PUBLIC
		${CMAKE_BINARY_DIR}
		${CMAKE_BINARY_DIR}/src
		${CMAKE_BINARY_DIR}/src/camel
		${CMAKE_SOURCE_DIR}/src
		${CMAKE_SOURCE_DIR}/src/camel
		${CMAKE_SOURCE_DIR}/src/camel/tests/lib
		${CAMEL_INCLUDE_DIRS}
	)

	target_link_libraries(${_test_ident}
		camel
		cameltest
		cameltest-provider
		${CAMEL_LDFLAGS}
	)

	set_target_properties(${_test_ident} PROPERTIES
		OUTPUT_NAME ${_name}
	)

	if(_in_check)
		add_check_test(${_test_ident})
	endif(_in_check)
endmacro(add_camel_test_one)

macro(add_camel_tests _part _tests _in_check)
	foreach(test IN LISTS ${_tests})
		if(NOT "${test}" STREQUAL "")
			add_camel_test_one(${_part} ${test} ${test}.c ${_in_check})
		endif(NOT "${test}" STREQUAL "")
	endforeach(test)
endmacro(add_camel_tests)

add_subdirectory(lib)
add_subdirectory(message)
add_subdirectory(folder)
add_subdirectory(smime)
add_subdirectory(misc)
add_subdirectory(mime-filter)

=== src/modules/trust-prompt/CMakeLists.txt ===
set(TRUST_PROMPT_SOURCES
	trust-prompt-gtk.c
)

set(TRUST_PROMPT_CFLAGS
	${GNOME_PLATFORM_CFLAGS}
	${GTK_CFLAGS}
)

set(TRUST_PROMPT_INCLUDE_DIRS
	${GNOME_PLATFORM_INCLUDE_DIRS}
	${GTK_INCLUDE_DIRS}
)

set(TRUST_PROMPT_LDFLAGS
	${GNOME_PLATFORM_LDFLAGS}
	${GTK_LDFLAGS}
)

set(extra_defines)
set(extra_deps edataserverui)
set(sources
	module-trust-prompt.c
	trust-prompt.h
	${TRUST_PROMPT_SOURCES}
)
set(extra_defines ${extra_defines} -DE_DATA_SERVER_ICONDIR=\"${icondir}\")
set(extra_cflags ${TRUST_PROMPT_CFLAGS})
set(extra_incdirs ${TRUST_PROMPT_INCLUDE_DIRS})
set(extra_ldflags ${TRUST_PROMPT_LDFLAGS})

add_source_registry_module(module-trust-prompt
	sources
	extra_deps
	extra_defines
	extra_cflags
	extra_incdirs
	extra_ldflags
)

=== src/services/evolution-user-prompter/CMakeLists.txt ===
set(SYSTEMD_SERVICE)
if(WITH_SYSTEMD_USER_UNITS)
	set(SYSTEMD_SERVICE "SystemdService=evolution-user-prompter.service")

	configure_file(evolution-user-prompter.service.in
		evolution-user-prompter.service
		@ONLY
	)

	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/evolution-user-prompter.service
		DESTINATION ${WITH_SYSTEMDUSERUNITDIR}
	)
endif(WITH_SYSTEMD_USER_UNITS)

configure_file(org.gnome.evolution.dataserver.UserPrompter.service.in
	${USER_PROMPTER_DBUS_SERVICE_NAME}.service
	@ONLY
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${USER_PROMPTER_DBUS_SERVICE_NAME}.service
	DESTINATION ${WITH_DBUS_SERVICE_DIR}
)

set(DEPENDENCIES
	ebackend
	ebook
	ebook-contacts
	edata-book
	edataserver
)

set(SOURCES
	prompt-user.h
	prompt-user-gtk.c
	evolution-user-prompter.c
)

add_executable(evolution-user-prompter
	${SOURCES}
)

add_dependencies(evolution-user-prompter
	${DEPENDENCIES}
)

target_compile_definitions(evolution-user-prompter PRIVATE
	-DG_LOG_DOMAIN=\"evolution-user-prompter\"
	-DLOCALEDIR=\"${LOCALE_INSTALL_DIR}\"
)

target_compile_options(evolution-user-prompter PUBLIC
	${BACKEND_CFLAGS}
	${DATA_SERVER_CFLAGS}
	${GNOME_PLATFORM_CFLAGS}
	${GTK_CFLAGS}
)

target_include_directories(evolution-user-prompter PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_SOURCE_DIR}/src
	${BACKEND_INCLUDE_DIRS}
	${DATA_SERVER_INCLUDE_DIRS}
	${GNOME_PLATFORM_INCLUDE_DIRS}
	${GTK_INCLUDE_DIRS}
)

target_link_libraries(evolution-user-prompter
	${DEPENDENCIES}
	${BACKEND_LDFLAGS}
	${DATA_SERVER_LDFLAGS}
	${GNOME_PLATFORM_LDFLAGS}
	${GTK_LDFLAGS}
)

install(TARGETS evolution-user-prompter
	DESTINATION ${LIBEXEC_INSTALL_DIR}
)

=== debian/changelog ===
evolution-data-server (3.46.4-2) unstable; urgency=medium

  * Cherry-pick build fixes for latest webkitgtk
  * Build against webkitgtk 6.0 instead of 5.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Mar 2023 20:41:30 -0400

evolution-data-server (3.46.4-1) unstable; urgency=medium

  * New upstream release
  * Update lintian override info format
  * Update standards version to 4.6.2, no changes needed
  * debian/gbp.conf, debian/control.in: branch for bookworm

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 10 Feb 2023 07:07:22 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: evolution-data-server
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               libtool,
               intltool (>= 0.35.5),
               libcanberra-gtk3-dev (>= 0.25),
               libdb-dev,
               libglib2.0-dev (>= 2.40),
               libglib2.0-doc (>= 2.40),
               libgirepository1.0-dev (>= 1.59.1),
               libsecret-1-dev (>= 0.5),
               libgoa-1.0-dev (>= 3.8),
               libgtk-3-dev (>= 3.10),
               libgtk-4-dev (>= 4.4),
               libgweather-4-dev (>= 4.1),
               libical-dev (>= 3.0.7),
               libicu-dev,
               libjson-glib-dev (>= 1.0.4) [!ia64 !kfreebsd-any],
               libkrb5-dev,
               libldap2-dev,
               liboauth-dev (>= 0.9.4),
               librest-dev (>= 0.7),
               libnss3-dev,
               libnspr4-dev,
               libsoup-3.0-dev (>= 3.1.1),
               libsqlite3-dev (>= 3.7.17),
               libwebkit2gtk-4.1-dev [!ia64 !kfreebsd-any],
               libwebkitgtk-6.0-dev [!ia64 !kfreebsd-any],
               libxml2-dev (>= 2.0.0),
               gtk-doc-tools (>= 1.14),
               gperf,
               pkg-config (>= 0.16),
               valac (>= 0.22),
               libphonenumber-dev [!hppa !hurd-any !ia64 !kfreebsd-amd64 !kfreebsd-i386],
               db-util <!nocheck>,
               dbus <!nocheck>,
Rules-Requires-Root: binary-targets
Standards-Version: 4.6.2
Homepage: https://wiki.gnome.org/Apps/Evolution
Vcs-Git: https://salsa.debian.org/gnome-team/evolution-data-server.git -b debian/bookworm
Vcs-Browser: https://salsa.debian.org/gnome-team/evolution-data-server/tree/debian/bookworm

Package: evolution-data-server
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution-data-server-common (>= ${source:Version}),
         libcamel-1.2-64 (= ${binary:Version}),
         gnome-keyring,
Breaks: chatty (<< 0.6.7-3~),
        evolution (<< 3.45),
        gnome-shell (<< 42.4-2~),
        libevolution (<< 3.29.90),
        libgoa-1.0-0b (<< 3.45),
        roger-router (<< 2.4.2-3~),
Replaces: evolution (<< 3.29.90),
          libevolution (<< 3.29.90)
Suggests: evolution
Description: evolution database backend server
 The data server, called "Evolution Data Server" is responsible for managing
 mail, calendar, addressbook, tasks and memo information.

Package: evolution-data-server-common
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: architecture independent files for Evolution Data Server
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains the architecture independent files needed
 by the evolution-data-server package.

Package: evolution-data-server-tests
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution-common,
         evolution-data-server
Description: Installed tests for the evolution database backend server
 The data server, called "Evolution Data Server" is responsible for managing
 mail, calendar, addressbook, tasks and memo information.
 .
 This package contains test programs, designed to be run as part of a
 regression testsuite.

Package: evolution-data-server-dev
Section: devel
Architecture: any
Depends: ${misc:Depends},
         libglib2.0-dev (>= 2.40),
         libnss3-dev,
         libnspr4-dev
Description: Development files for evolution-data-server (metapackage)
 This package contains header files and static library of evolution-data-server.

Package: evolution-data-server-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp
Description: Documentation files for the Evolution Data Server libraries
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains the API documentation for all the individual
 Evolution Data Server libraries.

Package: libedataserver-1.2-27
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution-data-server-common (>= ${gnome:Version})
Description: Utility library for evolution data servers
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package is a utility library for evolution-data-server.

Package: libedataserver1.2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libedataserver-1.2-27 (= ${binary:Version}),
         gir1.2-edataserver-1.2 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         libcamel1.2-dev (= ${binary:Version}),
         libxml2-dev,
         libglib2.0-dev (>= 2.40),
         libsoup-3.0-dev (>= 3.1.1),
         libsecret-1-dev
Description: Utility library for evolution data servers (development files)
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains header files and static library for libedataserver.

Package: gir1.2-edataserver-1.2
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection for the EDataServer library
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains introspection data for the libedataserver
 library. It can be used by packages using the GIRepository format to
 generate dynamic bindings.

Package: libedataserverui-1.2-4
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution-data-server-common (>= ${gnome:Version})
Description: Utility library for evolution data servers
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package is a UI utility library for evolution-data-server.

Package: libedataserverui1.2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libedataserverui-1.2-4 (= ${binary:Version}),
         gir1.2-edataserverui-1.2 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         libedata-book1.2-dev,
         libcamel1.2-dev (= ${binary:Version}),
         libecal2.0-dev (= ${binary:Version}),
         libedataserver1.2-dev (= ${binary:Version}),
         libxml2-dev,
         libglib2.0-dev (>= 2.40),
         libgtk-3-dev,
         libsoup-3.0-dev (>= 3.1.1),
         libsecret-1-dev
Description: Utility library for evolution data servers (development files)
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains development files for libedataserverui.

Package: gir1.2-edataserverui-1.2
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection for the EDataServerUI library
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains introspection data for the libedataserverui
 library. It can be used by packages using the GIRepository format to
 generate dynamic bindings.

Package: libedataserverui4-1.0-0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution-data-server-common (>= ${gnome:Version})
Description: GTK4 utility library for evolution data servers
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package is a GTK4 UI utility library for evolution-data-server.

Package: libedataserverui4-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libedataserverui4-1.0-0 (= ${binary:Version}),
         gir1.2-edataserverui4-1.0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         libedata-book1.2-dev,
         libcamel1.2-dev (= ${binary:Version}),
         libecal2.0-dev (= ${binary:Version}),
         libedataserver1.2-dev (= ${binary:Version}),
         libxml2-dev,
         libglib2.0-dev (>= 2.40),
         libgtk-4-dev (>= 4.4),
         libsoup-3.0-dev (>= 3.1.1),
         libsecret-1-dev
Description: GTK4 Utility library for evolution data server (development files)
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains development files for libedataserverui.

Package: gir1.2-edataserverui4-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection for the EDataServerUI4 library
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains introspection data for the libedataserverui4
 library. It can be used by packages using the GIRepository format to
 generate dynamic bindings.

Package: libcamel-1.2-64
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Evolution MIME message handling library
 Camel is a generic messaging library. It supports the standard
 messaging system for receiving and sending messages. It is the
 messaging backend for Evolution.
 .
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.

Package: libcamel1.2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libcamel-1.2-64 (= ${binary:Version}),
         gir1.2-camel-1.2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         libglib2.0-dev (>= 2.40),
         libsqlite3-dev (>= 3.5),
         libnss3-dev,
         libnspr4-dev
Description: Development files for libcamel
 This package contains header files and static library for libcamel.
 .
 Camel is a generic messaging library. It supports the standard
 messaging system for receiving and sending messages. It is the
 messaging backend for Evolution.
 .
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.

Package: gir1.2-camel-1.2
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection for the Camel library
 Camel is a generic messaging library. It supports the standard
 messaging system for receiving and sending messages. It is the
 messaging backend for Evolution.
 .
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.
 .
 This package contains introspection data for the libcamel
 library. It can be used by packages using the GIRepository format to
 generate dynamic bindings.

Package: libebook-1.2-21
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Client library for evolution address books
 This package is a client library for evolution addressbooks.
 .
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.

Package: libebook1.2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libebook-1.2-21 (= ${binary:Version}),
         gir1.2-ebook-1.2 (= ${binary:Version}),

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+fixfilepath
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

# see https://bugzilla.gnome.org/show_bug.cgi?id=594473 for details
export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions

export SENDMAIL_PATH = /usr/sbin/sendmail

ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
   skip_packages = -Nevolution-data-server -N evolution-data-server-tests
endif

%:
	dh $@

ifeq (,$(filter $(DEB_HOST_ARCH), hppa hurd-i386 ia64 kfreebsd-i386 kfreebsd-amd64))
CONFFLAGS = -DWITH_PHONENUMBER=ON
endif
ifeq (,$(filter $(DEB_HOST_ARCH), ia64 kfreebsd-i386 kfreebsd-amd64))
CONFFLAGS += -DENABLE_OAUTH2_WEBKITGTK=ON
else
CONFFLAGS += -DENABLE_OAUTH2_WEBKITGTK=OFF
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		-DSYSCONF_INSTALL_DIR=/etc \
		-DWITH_LIBDB=/usr \
		-DWITH_OPENLDAP=ON \
		-DWITH_KRB5=ON \
		-DCMAKE_SKIP_RPATH=ON \
		-DENABLE_GTK=ON \
		-DENABLE_GTK4=ON \
		-DENABLE_GTK_DOC=ON \
		-DENABLE_GOA=ON \
		-DENABLE_EXAMPLES=ON \
		-DENABLE_WEATHER=ON \
		-DENABLE_INSTALLED_TESTS=ON \
		-DENABLE_INTROSPECTION=ON \
		-DENABLE_VALA_BINDINGS=ON \
		$(CONFFLAGS)

# don't configure with --libdir, but move the files manually, because
# /usr/lib/evolution-data-server must not change.
override_dh_install:
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	mv debian/tmp/usr/lib/*.so debian/tmp/usr/lib/*.so.* debian/tmp/usr/lib/girepository-1.0 \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mv debian/tmp/usr/lib/pkgconfig/*.pc \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	find debian/tmp/usr/lib -name '*.a' -delete -print
	dh_install

override_dh_fixperms-arch:
	chgrp mail $(CURDIR)/debian/evolution-data-server/usr/libexec/camel-lock-helper*
	chmod g+s $(CURDIR)/debian/evolution-data-server/usr/libexec/camel-lock-helper*
	dh_fixperms -a -X/usr/libexec/camel-lock-helper* -Xusr/libexec/evolution-data-server/installed-tests
# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
# quite right for installed-tests
ifneq ($(filter %-tests,$(built_binaries)),)
	chmod --changes u=rw,og=r debian/*-tests/usr/libexec/*/installed-tests/components/*
	chmod --changes u=rw,og=r debian/*-tests/usr/libexec/*/installed-tests/vcards/*
	chmod --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/*/installed-tests/*
endif

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/evolution-data-server/ -- -c4

override_dh_auto_test:
	dbus-run-session -- dh_auto_test || true

override_dh_builddeb:
	dh_builddeb ${skip_packages}

override_dh_gencontrol:
	dh_gencontrol ${skip_packages}
